

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.interpolation.data_scaling.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.interpolation.data_scaling"></span><p>Created on Wed Apr  8 13:28:01 2020</p>
<p>&#64;author: Juanga Serra Perez, <a class="reference external" href="mailto:jgserra&#37;&#52;&#48;northwestern&#46;edu">jgserra<span>&#64;</span>northwestern<span>&#46;</span>edu</a></p>
<dl class="py class">
<dt id="posydon.interpolation.data_scaling.DataScaler">
<em class="property">class </em><code class="sig-prename descclassname">posydon.interpolation.data_scaling.</code><code class="sig-name descname">DataScaler</code><a class="reference internal" href="../_modules/posydon/interpolation/data_scaling.html#DataScaler"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.data_scaling.DataScaler" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>This class provides normalizing tools for float 1D arrays. Features can be standarized or scaled to a range
depending on the method chosen when calling the fit ot fit_and_transform functions.</p>
<p>Class constructor. No parameters are expected. After instantiation use methods fit or fit_and_transform first to
fit a scaling object to a given vector of values.</p>
<p class="rubric">Example</p>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">sc</span> <span class="o">=</span> <span class="n">DataScaler</span><span class="p">()</span>
</pre></div>
</div>
<dl class="py method">
<dt id="posydon.interpolation.data_scaling.DataScaler.fit">
<code class="sig-name descname">fit</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'none'</span></em>, <em class="sig-param"><span class="n">lower</span><span class="o">=</span><span class="default_value">- 1.0</span></em>, <em class="sig-param"><span class="n">upper</span><span class="o">=</span><span class="default_value">1.0</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/data_scaling.html#DataScaler.fit"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.data_scaling.DataScaler.fit" title="Permalink to this definition">¶</a></dt>
<dd><p>Fit a transform of 1D numpy array x. Computes the parameters that define the transform.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>x</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – expects a 1D array and finds norm values of columns</p></li>
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – <dl class="simple">
<dt>scaling method. Possible values: ‘min_max’, ‘max_abs’, ‘standarize’ and their log version</dt><dd><p>’log_min_max’, ‘neg_log_min_max’, ‘log_max_abs’, ‘log_standarize’, ‘neg_log_standarize’</p>
</dd>
</dl>
</p></li>
<li><p><strong>lower</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – lower range value of x_t after (<a href="#id1"><span class="problematic" id="id2">log_</span></a>)min_max scaling</p></li>
<li><p><strong>upper</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – upper range value of x_t after (<a href="#id3"><span class="problematic" id="id4">log_</span></a>)min_max scaling</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.data_scaling.DataScaler.fit_and_transform">
<code class="sig-name descname">fit_and_transform</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">method</span><span class="o">=</span><span class="default_value">'none'</span></em>, <em class="sig-param"><span class="n">lower</span><span class="o">=</span><span class="default_value">- 1</span></em>, <em class="sig-param"><span class="n">upper</span><span class="o">=</span><span class="default_value">1</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/data_scaling.html#DataScaler.fit_and_transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.data_scaling.DataScaler.fit_and_transform" title="Permalink to this definition">¶</a></dt>
<dd><p>Fit and transform a 1D numpy array x according to the chosen scaling method.
lower/upper will only be taken into account for (<a href="#id5"><span class="problematic" id="id6">log_</span></a>)min_max normalization. In this case,
the transformed x will have min(x_transf) = lower, max(x_transf) = upper</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>x</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – expects a 1D array and finds norm values of columns</p></li>
<li><p><strong>method</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – <dl class="simple">
<dt>scaling method. Possible values: ‘min_max’, ‘max_abs’, ‘standarize’ and their log version</dt><dd><p>’log_min_max’, ‘log_max_abs’, ‘log_standarize’</p>
</dd>
</dl>
</p></li>
<li><p><strong>lower</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – lower range value of x_t after (<a href="#id7"><span class="problematic" id="id8">log_</span></a>)min_max scaling</p></li>
<li><p><strong>upper</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#float" title="(in Python v3.9)"><em>float</em></a>) – upper range value of x_t after (<a href="#id9"><span class="problematic" id="id10">log_</span></a>)min_max scaling</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>transformed version of x</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.data_scaling.DataScaler.inv_transform">
<code class="sig-name descname">inv_transform</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x_t</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/data_scaling.html#DataScaler.inv_transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.data_scaling.DataScaler.inv_transform" title="Permalink to this definition">¶</a></dt>
<dd><p>This function reverts the scaling of the data using the stored transform parameters.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>x_t</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – expects a 1D array to unnormalize given the fitted transform.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>denormalized x using the stored parameters.</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.interpolation.data_scaling.DataScaler.transform">
<code class="sig-name descname">transform</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/interpolation/data_scaling.html#DataScaler.transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.interpolation.data_scaling.DataScaler.transform" title="Permalink to this definition">¶</a></dt>
<dd><dl class="simple">
<dt>Transform x using the already obtained normalization values from fit.</dt><dd><p>self.fit must be called first.
lower/upper will only be taken into account for (<a href="#id11"><span class="problematic" id="id12">log_</span></a>)min_max normalization. In this case,
the transformed x will have min(x_transf) = lower, max(x_transf) = upper</p>
</dd>
</dl>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>x</strong> (<a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)"><em>numpy.ndarray</em></a>) – values to normalize</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>transformed version of x</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p><a class="reference external" href="https://numpy.org/doc/stable/reference/generated/numpy.ndarray.html#numpy.ndarray" title="(in NumPy v1.20)">numpy.ndarray</a></p>
</dd>
</dl>
</dd></dl>

</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>